package com.landray.kmss.sys.attachment.integrate.wps.util;

import com.landray.kmss.sys.attachment.integrate.wps.interfaces.ISysAttachmentWpsWebOfficeProvider;
import java.util.Iterator;
import java.util.List;
import com.landray.kmss.sys.attachment.util.SysAttConfigUtil;
import com.landray.kmss.util.StringUtil;
import com.landray.kmss.sys.attachment.integrate.wps.SysAttWpsWebOfficePlugin;

public class SysAttWpsWebOfficeUtil
{
    public static Boolean isEnable() throws Exception {
        Boolean flag = false;
        final List<SysAttWpsWebOfficePlugin> plugins = SysAttWpsWebOfficePluginUtil.getExtensionList();
        if (plugins != null && plugins.size() > 0) {
            for (final SysAttWpsWebOfficePlugin plugin : plugins) {
                if (plugin == null) {
                    continue;
                }
                final String fdKey = plugin.getKey();
                if (!StringUtil.isNotNull(fdKey) || !"wpsWebOffice".equals(fdKey)) {
                    continue;
                }
                final ISysAttachmentWpsWebOfficeProvider provider = plugin.getProvider();
                flag = provider.isEnabled();
            }
        }
        if (flag && "2".equals(SysAttConfigUtil.getOnlineToolType())) {
            return true;
        }
        return false;
    }
    
    public static String getUrl() throws Exception {
        final List<SysAttWpsWebOfficePlugin> plugins = SysAttWpsWebOfficePluginUtil.getExtensionList();
        if (plugins != null && plugins.size() > 0) {
            for (final SysAttWpsWebOfficePlugin plugin : plugins) {
                final String fdKey = plugin.getKey();
                if (StringUtil.isNotNull(fdKey) && "wpsWebOffice".equals(fdKey)) {
                    final ISysAttachmentWpsWebOfficeProvider provider = plugin.getProvider();
                    if (StringUtil.isNotNull(provider.getUrl())) {
                        String Url = provider.getUrl();
                        if (Url.endsWith("/")) {
                            Url = Url.substring(0, Url.length() - 1);
                        }
                        return Url;
                    }
                    continue;
                }
            }
        }
        return null;
    }
    
    public static String getAppid() throws Exception {
        final List<SysAttWpsWebOfficePlugin> plugins = SysAttWpsWebOfficePluginUtil.getExtensionList();
        if (plugins != null && plugins.size() > 0) {
            for (final SysAttWpsWebOfficePlugin plugin : plugins) {
                final String fdKey = plugin.getKey();
                if (StringUtil.isNotNull(fdKey) && "wpsWebOffice".equals(fdKey)) {
                    final ISysAttachmentWpsWebOfficeProvider provider = plugin.getProvider();
                    return provider.getAppid();
                }
            }
        }
        return null;
    }
    
    public static String getAppkey() throws Exception {
        final List<SysAttWpsWebOfficePlugin> plugins = SysAttWpsWebOfficePluginUtil.getExtensionList();
        if (plugins != null && plugins.size() > 0) {
            for (final SysAttWpsWebOfficePlugin plugin : plugins) {
                final String fdKey = plugin.getKey();
                if (StringUtil.isNotNull(fdKey) && "wpsWebOffice".equals(fdKey)) {
                    final ISysAttachmentWpsWebOfficeProvider provider = plugin.getProvider();
                    return provider.getAppkey();
                }
            }
        }
        return null;
    }
}
